sqlite_next
sqlite_num_rows
SQLite Functions
PHP Manual

# sqlite_num_fields

# SQLiteResult::numFields

# SQLiteUnbuffered::numFields

Returns the number of fields in a result set

### Description

int sqlite_num_fields ( resource `$result` )

Object oriented style (method):

int SQLiteResult::numFields ( void )
int SQLiteUnbuffered::numFields ( void )

Returns the number of fields in the `result` set.

### Parameters

`result`

  The SQLite result resource. This parameter is not required when using the object-oriented method.

### Return Values

Returns the number of fields, as an integer.

### See Also

- sqlite_changes
- sqlite_num_rows